<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDeviceMobilityReq StructType
 * @subpackage Structs
 */
class AddDeviceMobilityReq extends APIRequest
{
    /**
     * The deviceMobility
     * @var XDeviceMobility
     */
    public $deviceMobility;
    /**
     * Constructor method for AddDeviceMobilityReq
     * @uses AddDeviceMobilityReq::setDeviceMobility()
     * @param XDeviceMobility $deviceMobility
     */
    public function __construct(XDeviceMobility $deviceMobility = null)
    {
        $this
            ->setDeviceMobility($deviceMobility);
    }
    /**
     * Get deviceMobility value
     * @return XDeviceMobility|null
     */
    public function getDeviceMobility()
    {
        return $this->deviceMobility;
    }
    /**
     * Set deviceMobility value
     * @param XDeviceMobility $deviceMobility
     * @return AddDeviceMobilityReq
     */
    public function setDeviceMobility(XDeviceMobility $deviceMobility = null)
    {
        $this->deviceMobility = $deviceMobility;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDeviceMobilityReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
